<?php
	include('is_logged.php');//Archivo verifica que el usario que intenta acceder a la URL esta logueado
	/*Inicia validacion del lado del servidor*/
	if (empty($_POST['mod_id'])) {
           $errors[] = "ID vacío";
        }else if (empty($_POST['mod_nombre'])) {
           $errors[] = "Nombre vacío";
        }  else if ($_POST['mod_estado']==""){
			$errors[] = "Selecciona el estado del cliente";
		}  else if (
			!empty($_POST['mod_id']) &&
			!empty($_POST['mod_nombre']) &&
			$_POST['mod_estado']!="" 
		){
		/* Connect To Database*/
		require_once ("../config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
		require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos
		// escaping, additionally removing everything that could be (html/javascript-) code
		$cedula_titular=mysqli_real_escape_string($con,(strip_tags($_POST["mod_cedula_titular"],ENT_QUOTES)));
		$nombre=mysqli_real_escape_string($con,(strip_tags($_POST["mod_nombre"],ENT_QUOTES)));
		$cedula_beneficiario=mysqli_real_escape_string($con,(strip_tags($_POST["mod_cedula_beneficiario"],ENT_QUOTES)));
		$nombre_beneficiario=mysqli_real_escape_string($con,(strip_tags($_POST["mod_nombre_beneficiario"],ENT_QUOTES)));
		$telefono=mysqli_real_escape_string($con,(strip_tags($_POST["mod_telefono"],ENT_QUOTES)));
		$edad=mysqli_real_escape_string($con,(strip_tags($_POST["mod_edad"],ENT_QUOTES)));
		$email=mysqli_real_escape_string($con,(strip_tags($_POST["mod_email"],ENT_QUOTES)));
		$direccion=mysqli_real_escape_string($con,(strip_tags($_POST["mod_direccion"],ENT_QUOTES)));
		$tipo_paciente=mysqli_real_escape_string($con,(strip_tags($_POST["mod_tipo_paciente"],ENT_QUOTES)));
		$aseguradoras=mysqli_real_escape_string($con,(strip_tags($_POST["mod_aseguradoras"],ENT_QUOTES)));
		$alergico=mysqli_real_escape_string($con,(strip_tags($_POST["mod_alergico"],ENT_QUOTES)));
		$especifique=mysqli_real_escape_string($con,(strip_tags($_POST["mod_especifique"],ENT_QUOTES)));
		$estado=intval($_POST['mod_estado']);
		
		$id_cliente=intval($_POST['mod_id']);
		$sql="UPDATE clientes SET cedula_titular='".$cedula_titular."', nombre_cliente='".$nombre."', cedula_beneficiario='".$cedula_beneficiario."', nombre_beneficiario='".$nombre_beneficiario."', telefono_cliente='".$telefono."', edad='".$edad."', email_cliente='".$email."', direccion_cliente='".$direccion."', tipo_paciente='".$tipo_paciente."', aseguradoras='".$aseguradoras."', alergico='".$alergico."', especifique='".$especifique."', status_cliente='".$estado."' WHERE id_cliente='".$id_cliente."'";
		$query_update = mysqli_query($con,$sql);
			if ($query_update){
				$messages[] = "Cliente ha sido actualizado satisfactoriamente.";
			} else{
				$errors []= "Lo siento algo ha salido mal intenta nuevamente.".mysqli_error($con);
			}
		} else {
			$errors []= "Error desconocido.";
		}
		
		if (isset($errors)){
			
			?>
			<div class="alert alert-danger" role="alert">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
					<strong>Error!</strong> 
					<?php
						foreach ($errors as $error) {
								echo $error;
							}
						?>
			</div>
			<?php
			}
			if (isset($messages)){
				
				?>
				<div class="alert alert-success" role="alert">
						<button type="button" class="close" data-dismiss="alert">&times;</button>
						<strong>¡Bien hecho!</strong>
						<?php
							foreach ($messages as $message) {
									echo $message;
								}
							?>
				</div>
				<?php
			}

?>